#
# spec file for package sshpass
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sshpass
Version:        1.06
Release:        lp152.3.5
Summary:        Non-interactive SSH authentication utility
License:        GPL-2.0+
Group:          System/Management
Url:            http://sshpass.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sshpass/sshpass-%{version}.tar.gz
# PATCH-FIX-UPSTREAM -- http://sourceforge.net/p/sshpass/patches/5/
Patch0:         sshpass-1.05-f_option_check.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tool for non-interactively performing password authentication with so called
"interactive keyboard password authentication" of SSH. Most users should use
more secure public key authentication of SSH instead.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_bindir}/sshpass
%{_mandir}/man1/sshpass.1%{ext_man}
%doc AUTHORS COPYING ChangeLog NEWS

%changelog
* Mon Dec  5 2016 astieger@suse.com
- update to 1.0.6:
  * Add -P for overriding the password prompt we search for
  * Add -v for verbose logging of the prompt detection prompt.
  * Allow packagers and compilers to change the default password prompt.
  * When giving -V, also print the default password prompt.
* Sun Mar 16 2014 lars@linux-schulserver.de
- specfile cleanpu via spec-cleaner for Factory submission
- added sshpass-1.05-f_option_check.patch - for details see
  http://sourceforge.net/p/sshpass/patches/5/
* Fri Sep 27 2013 aboe76@gmail.com
- sshpass 1.05
- OpenSSH version 5.6 closed our leaked slave PTY fd, breaking sshpass.
  This reverted the "better detection of child exit", unfortunately.
- Update the manual page about changes.
- Print usage information if no arguments given.
